# OpalMSRPManager::Connection Class Reference

`#include <msrp.h>`

Collaboration diagram for OpalMSRPManager::Connection:

[legend]

## Public Member Functions

| Connection (OpalMSRPManager &manager, const std::string &key, MSRPProtocol *protocol=NULL)
| ~Connection ()
void | StartHandler ()
void | HandlerThread ()

## Data Fields

OpalMSRPManager & | m_manager
std::string | m_key
MSRPProtocol * | m_protocol
bool | m_running
PThread * | m_handlerThread
bool | m_originating
PAtomicInteger | m_refCount

## Constructor & Destructor Documentation

OpalMSRPManager::Connection::Connection | ( | OpalMSRPManager & | manager,
|  | const std::string & | key,
|  | MSRPProtocol * | protocol = `NULL` |
| ) |  |  |

OpalMSRPManager::Connection::~Connection | ( |  | ) |

## Member Function Documentation

void OpalMSRPManager::Connection::HandlerThread | ( |  | ) |

void OpalMSRPManager::Connection::StartHandler | ( |  | ) |

## Field Documentation

PThread* OpalMSRPManager::Connection::m_handlerThread

std::string OpalMSRPManager::Connection::m_key

OpalMSRPManager& OpalMSRPManager::Connection::m_manager

bool OpalMSRPManager::Connection::m_originating

MSRPProtocol* OpalMSRPManager::Connection::m_protocol

PAtomicInteger OpalMSRPManager::Connection::m_refCount

bool OpalMSRPManager::Connection::m_running

The documentation for this class was generated from the following file:

- msrp.h